japa.parser.ast

## Class TreeVisitor

- java.lang.Object
- - japa.parser.ast.TreeVisitor

    public abstract class TreeVisitor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TreeVisitor()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `process(Node node)`
`void` `visitDepthFirst(Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeVisitor

    public TreeVisitor()

### Method Detail

#### visitDepthFirst

    public void visitDepthFirst(Node node)

#### process

    public abstract void process(Node node)